Application Wizard

Generates a new, fully functional application from which you build a more complex application.

The Application Wizard lets you generate an application using one of the predefined visual interfaces — Multiple Document Interface (MDI), Single Document Interface (SDI), or Explorer-style.

The application you generate:

  • Contains a toolbar and a status bar. The default toolbar for SDI and MDI forms is similar to a Microsoft Office toolbar. It includes the New, Open, Save, Print, Cut, Copy, Paste, Bold, Italic, Underline, Align Left, Align Right, and Center buttons. Explorer-style applications have a default toolbar with the Navigation Buttons, Cut, Copy, Paste, Delete, Properties, View Large Icon, View Small Icon, View List, and View Details buttons. You can customize the toolbar. The status bar includes information about the status of the application and the date and time.

  • Can contain forms with objects bound to a local or remote data source. You can bind your form using an ADO Data control, ADO code, or a Data Class. A variety of form types, including Single record, Data Grid, Master/Detail, MsHFlexGrid, and MSChart, can be created.

Once the application is created, you can view and edit the code behind the functionality built into your new application to customize it to your needs. In addition, the code has comments that can help you as you build other applications. Look for "ToDo" in the comments for more information on customizing the code.

Note You cannot use the Application Wizard to modify existing projects.

You can also save the Application Wizard savings, mainly the Toolbar and Menus settings, in a profile file (.rwp). The next time you run the Application Wizard, you can use the settings.

Use the Application Wizard:

  • As a starting point for developing your application.

  • To eliminate the redundancy in creating applications and still maintain your ability to customize your application.

  • To provide a common look and feel to your applications.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.


Form Templates Dialog Box (Application Wizard)

Lets you select custom templates for your application.

Dialog Box Options

Form Templates List

Lists available templates in your Visual Basic Template\Forms folder. Click as many templates as you want to use.

When you select a template, a check appears in the check box to the left of the template. You can clear the check box to remove any templates you no longer want in your application.

Select All

Selects all of the templates in the Templates list.

Clear All

Clears all selections in the Templates list.

OK

Accepts your choices and closes the dialog box.

Cancel

Cancels your choices and closes the dialog box.


Add New Menu Dialog Box (Application Wizard)

Allows you to create new menu or submenu items. The new menu name or submenu item appears at the end of the Menu or Submenu list. Use the arrow keys to move the item, or drag the menu or submenu item into the position you want.

Options

Menu Caption

Allows you to enter the menu or command name that you want to appear on your menu bar or in a menu.

To give the user keyboard access to a menu item, insert an ampersand (&) before a letter. At run time, this letter is underlined (the ampersand is not visible), and the user can access the menu or command by pressing ALT and the letter. If you need an ampersand to show in the menu, put two consecutive ampersands in the caption.

Menu Name

Allows you to enter a control name for the menu item. A control name is an identifier used only to access the menu item in code; it doesn't appear in a menu.


Application Wizard--Resources

Application Wizard—Resources

Creates a resource file containing strings, but not bitmaps, for your application.

A resource file is useful:

  • To list strings and control captions that you want to translate into another language.

    Note For menus, the Resource ID appears as the Caption in the Menu Editor. For all other controls the Tag property in the Properties window is used to store the Resource ID.

  • To organize your code so that strings that are frequently used are loaded in memory and called from one location.

  • When you have information that may change and you don't want to re-edit your code.

    Note You can have only one resource file per project.

Wizard Options

Yes

Creates a resource file.

No

No resource file is created. All strings are coded into the application. This is the default.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates an application.


Application Wizard--Interface Type

Application Wizard—Interface Type

Allows you to determine the type of interface you want to generate for your application.

Wizard Options

Multiple Document Interface (MDI)

Creates an application with an MDI form and child forms with the MDIChild property set to True. This is the default.

Single Document Interface (SDI)

Creates an application with a single form with a toolbar, menus, and other features you choose.

Explorer Style

Creates an application with forms similar to the SDI form and with a combination of the TreeView and ListView controls.

Name Box

Allows you to type a name for your Application. The default name is Project1.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates the application.


Application Wizard--Customize Toolbar

Application Wizard—Customize Toolbar

Allows you to customize your application's toolbar.

A default toolbar is created that you can use, remove, or customize by:

  • Adding and removing buttons.

  • Changing the order of the buttons.

  • Adding an external bitmap or icon to which you must add code for it to function.

Wizard Options

Sample Toolbar

Displays the buttons that will appear on the toolbar in your application. Any changes to the toolbar are immediately reflected in the sample toolbar. To see ToolTips, move your mouse pointer over the button.

Note Changes to the toolbar are not persistent and must be made for each application you create.

Available Buttons List

Lists available buttons and a separator that can be added to the toolbar. You can add buttons to or remove buttons from the toolbar by:

  • Selecting one or more buttons and pressing one of the buttons below.

  • Double-clicking the button you want.

  • Dragging the button to the Tool Button List.

Moves the selected button or buttons in the Available Buttons list to the Toolbar Buttons list, indicating you want the buttons on the toolbar. You can drag a selected button from the Available Buttons list and drop it into the Toolbar Buttons list. You can also double-click the button you want to move.

Moves the selected button or buttons in the Toolbar Buttons list to the Available Buttons list. You can drag a selected button from the Toolbar Buttons list and drop it into the Available Buttons list. You can also double-click the button you want to move. This action removes the button from your toolbar.

Moves all of the buttons in the Toolbar Buttons list to the Available Buttons list. Use this button to remove all of the buttons from your toolbar. When you remove all of the buttons, you create an application without a toolbar.

Changes the order of the buttons on your toolbar. Each time you click the button, the selected button in the Toolbar Button list moves up one position.

Changes the order of the buttons on your toolbar. Each time you click the button, the selected button in the Toolbar Button list moves down one position.

Displays the Open Image File dialog box where you can locate and open a bitmap or icon file and add it to your toolbar. You have to write the code to make the button do what you what it to do. In the Code window, you will see "ToDo" where you add the code. If you do not add code, when you run the application a message box that says "Resource Code goes here" appears.

Toolbar Button List

Lists the buttons on the default or customized toolbar. You can change the ToolTip by clicking the button name and typing the ToolTip text you want to appear when the user moves the mouse pointer over the button. To check your ToolTip, move your mouse pointer over the button in the sample toolbar at the top of the screen.

Reset

Changes the toolbar to the default toolbar for your application.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates an application.


Application Wizard--Data Access Forms

Application Wizard—Data Access Forms

Creates child forms for your application and adds either a Data menu with commands to your application's menus or additional commands if you already added a Data menu.

Wizard Options

Data Forms List

Lists the data forms you have selected for your application. Each active data form has a check box preceding the table name. You can clear the check box to keep the table but not use it in your application.

Create New Form

Opens the Data Form Wizard where you can design Visual Basic forms that contain individual bound controls and procedures to manage information derived from database tables and queries.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step. You cannot move to the next step if you choose to create forms from your database and do not select a database format and enter a database name.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates the application.


Application Wizard Summary Report

Creates a report for the application you have created that:

  • Suggests you search the ToDo comments in the code for additional steps you can take to add more functionality to your application.

  • Lists other wizards you can use to refine the functionality of your application.

  • Tells you how to save the report and how to run your application.

Wizard Options

Cancel

Closes the Summary Report dialog box and discards the information.

Save

Displays the Save Report dialog box where you can give a name to your report and indicate where you want it saved.


Application Wizard--Finished!

Application Wizard—Finished!

Indicates that all of the necessary information needed to build your application has been collected and asks if you want to see a report with additional actions you can take. Also, allows you to save your settings as a profile that you can use for other applications.

Note Your application will be saved in memory but not on your disk unless you use the Save Project command on the File menu after the application is created.

Wizard Options

Save Profile

Allows you to select an existing profile or type a name for your profile and to save it. The default is (None). If you chose (None), your profile will not be saved.

Displays the Save Profile dialog box where you can name and select a location in which to save your settings.

View Report

Displays a summary report in your default text editor.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Disabled in this step.

Finish

Creates an application based on the settings you selected and displays a confirmation dialog. In the confirmation dialog box, you can choose to not have the dialog box appear when you run the Application Wizard again.


Application Wizard--Introduction

Application Wizard—Introduction

The Application Wizard helps you to create a new, fully functioning application.

You can edit the forms and view and modify the code in the Code window. All of the code created by the Application Wizard has comments to help you understand what has been created and what to do to add your own functionality.

Wizard Options

Profile List

Allows you to choose a wizard profile from the list of previously saved profiles. A wizard profile (.rwp) is a file that contains the settings you chose and saved when you previously ran the Application Wizard. To run the Application Wizard without previously saved settings, choose (None).

Profiles are useful if you create multiple applications with the same overall look. You do not have to remember and choose the same options every time you create an application.

Displays the Open Profile dialog box where you can locate and open a previously saved profile.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Disabled in this step.

Next

Moves you to the next step.

Finish

Disabled on this step.


Application Wizard--Menus

Application Wizard—Menus

Allows you to create custom menus and submenus that you want to appear in your application. The menus contain functioning code. You can edit the menus, after the application is created, using the Menu Editor.

Wizard Options

Menus List

Lists the default menus available for your application. To include a menu in your application click the check box. To remove a menu, clear the check box. You can also create a new menu.

File – For SDI and MDI applications the File menu includes the following commands — New, Open, Close, Save, Save As, Save All, Properties, Page Setup, Print Preview, Print, Send, and Exit. It also includes a Most Recently Used (MRU) List.

The File menu for Explorer-style applications includes the following commands — Open, Find, Send To, New, Delete, Rename, Properties, and Close. It also includes an MRU List.

Edit – For all application styles, the Edit menu includes the Undo, Cut, Copy, Paste, and Paste Special commands. For Explorer applications, the Edit menu also includes Select All and Invert Selection commands.

View – For all application styles, the View menu includes the Toolbar, Status Bar, and Refresh and Options commands. It also includes a list of any data and internet features you add to the application.

The View menu for Explorer style applications also includes the Large Icons, Small Icons, Lists, Details, Arrange Icons, and Line Up Icons commands. The Arrange Icons command has a cascading menu that contains the by Date, by Name, by Type, and by Size commands.

Tools – For all applications, the Tools menu is not a default menu. It includes the Options command.

Window – For MDI applications only, the Window menu includes the New Window, Cascade, Tile Horizontal, Tile Vertical, and Arrange Icons commands, and a list of open windows.

Help – For all application styles, the Help menu includes the Contents, Search For Help On, and About commands.

Displays the Add New Menu dialog box where you can enter the caption and name for a new menu or submenu item.

Note When you create data forms, a Data menu with commands is created. If you already have a Data menu, the commands will be added to the current Data menu.

Deletes the selected menu or submenu item.

Moves the selected menu or submenu item up one place in the list each time you click it. You can also drag a menu or submenu item up or down in its respective list to position it.

Moves the selected menu or submenu item down one place in the list each time you click it. You can also drag a menu or submenu item up or down in its respective list to position it.

Sub Menus List

Lists the submenu items and separators for each menu. You can customize the existing menus or create new submenu items. Use the separator to create a line grouping submenu items on the menu or use the buttons to the right to add, delete, or move submenu items. To remove a submenu item, clear the check box.

Reset

Returns all of the menus to their default settings.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates the application.


Application Wizard--Standard Forms

Application Wizard—Standard Forms

Allows you to add standard or custom forms to your application.

Wizard Options

Splash screen at application start-up

Adds a screen that lists the product, platform, version, and copyright information for your application.

Login dialog to accept an ID and Password

Adds a login dialog box where you can request a User Name and Password.

Options dialog for custom settings

Adds a tabbed dialog box. You can modify the tab names and add or remove tabs as necessary.

About Box

Adds an About dialog box that contains information about the project.

Form Templates

Displays the Form Templates dialog box which lists the form templates found in the Visual Basic Templates\Forms folder that you can add to customize your application.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates the application.


Application Wizard--Internet Connectivity

Application Wizard—Internet Connectivity

Adds an Internet feature that allows your users to access the Internet from your application. The Application Wizard provides a custom web browser so you can add a jump to your home page.

You must have Microsoft Internet Explorer, version 3.0 or later, installed on your machine to access this step. Microsoft Internet Explorer installs the HTML control that you need to provide Internet connectivity.

Note Your users must have an Internet provider to use the Internet functionality in your application.

Wizard Options

Yes

Adds the custom web browser and allows you to enter a default startup URL for your web browser.

No

Does not add the custom web browser and does not provide Internet access in your application.

Default URL path

Allows you to type the path for the default startup URL. A URL starts with http://.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining steps, then creates an application.


Toolbar Wizard

Allows you to create a custom toolbar when you add the Toolbar control to a form. You can:

  • Create a toolbar.

  • Change the order of the buttons.

  • Add an external bitmap or icon to which you must add code to make it function.

The Toolbar Wizard has these steps for creating a toolbar:

  • Introduction

  • Customize Toolbar

  • Finished!


Toolbar Wizard--Finished!

Toolbar Wizard — Finished!

Indicates that all of the necessary information needed to build the toolbar has been collected and lets you specify a name for and save your settings.

Wizard Options

Save Profile

Allows you to select an existing profile or type a name for your profile and to save it. The default is (None). If you chose (None), your profile will not be saved.

Displays the Save Profile dialog box where you can name and select a location in which to save your settings.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Toolbar Wizard.

Back

Moves you to the previous step.

Next

Disabled in this step.

Finish

Creates a toolbar based on the settings you selected and displays a confirmation dialog.


Toolbar Wizard -- Customize Toolbar

Toolbar Wizard — Customize Toolbar

Allows you to customize your application's toolbar. A default toolbar is created that you can use, remove, or customize by:

  • Adding and removing buttons.

  • Changing the order of the buttons.

  • Adding an external bitmap or icon to which you must add code to make it function.

Wizard Options

Available Buttons List

Lists available buttons that can be added to the toolbar. You can add buttons to or remove buttons from the toolbar by:

  • Selecting one or more buttons and pressing one of the buttons below.

  • Double-clicking the button you want.

  • Dragging the button to the Toolbar Buttons List.

Moves the selected button or buttons in the Available Buttons list to the Toolbar Buttons list, indicating you want the buttons on the toolbar. You can drag a selected button from the Available Buttons list and drop it into the Toolbar Buttons list. You can also double-click the button you want to move.

Moves the selected button or buttons in the Toolbar Buttons list to the Available Buttons list. You can drag a selected button from the Toolbar Buttons list and drop it into the Available Buttons list. You can also double-click the button you want to move.

Moves all of the buttons in the Toolbar Buttons list to the Available Buttons list. Use this button to remove all of the buttons from your toolbar. When you remove all of the buttons, you create an application without a toolbar.

Changes the order of the buttons on your toolbar. Each time you click the button, the selected button in the Toolbar Button list moves up one position.

Changes the order of the buttons on your toolbar. Each time you click the button, the selected button in the Toolbar Button list moves down one position.

Displays the Open External Image dialog box where you can locate and open a bitmap or icon file and add it to your toolbar. You have to write the code to make the button do what you what it to do. In the Code window, you will see "To Do" where you add the code. If you do not add code, when you run the application a message box that says "Resource Code goes here" appears.

Toolbar Button List

List the buttons on the default or customized toolbar. You can change the ToolTip by clicking the button name and typing the ToolTip text you want to appear when the user moves the mouse pointer over the button. To check your ToolTip, move your mouse pointer over the button in the sample toolbar at the top of the screen and read the ToolTip.

Reset

Changes the toolbar to the default toolbar for your application.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Application Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Accepts any selections you have entered and the defaults for the remaining step, then creates a toolbar.


Toolbar Wizard--Introduction

Toolbar Wizard—Introduction

Helps you to create a new toolbar when you add the Toolbar control to a form.

Wizard Options

Profile List

Allows you to choose a wizard profile from the list of previously saved profiles. A wizard profile (.rwp) is a file that contains the settings you chose and saved when you previously ran the Toolbar Wizard. To run the Toolbar Wizard without previously saved settings, choose (None).

Profiles are useful if you create multiple applications with the same toolbar. You do not have to remember and choose the same options every time you create toolbar.

Displays the Open Profile dialog box where you can locate and open a profile.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the Toolbar Wizard.

Back

Disabled in this step.

Next

Moves you to the next step.

Finish

Disabled in this step.